# CRUD: Create a taxation item Creates a Taxation Item object. Endpoint: POST /v1/object/taxation-item Version: 2026-02-20 Security: bearerAuth ## Header parameters: - `Idempotency-Key` (string) Specify a unique idempotency key if you want to perform an idempotent POST or PATCH request. Do not use this header in other request types. With this header specified, the Zuora server can identify subsequent retries of the same request using this value, which prevents the same operation from being performed multiple times by accident. - `Accept-Encoding` (string) Include the Accept-Encoding: gzip header to compress responses as a gzipped file. It can significantly reduce the bandwidth required for a response. If specified, Zuora automatically compresses responses that contain over 1000 bytes of data, and the response contains a Content-Encoding header with the compression algorithm so that your client can decompress it. - `Content-Encoding` (string) Include the Content-Encoding: gzip header to compress a request. With this header specified, you should upload a gzipped file for the request payload instead of sending the JSON payload. - `Zuora-Entity-Ids` (string) An entity ID. If you have Zuora Multi-entity enabled and the OAuth token is valid for more than one entity, you must use this header to specify which entity to perform the operation in. If the OAuth token is only valid for a single entity, or you do not have Zuora Multi-entity enabled, you should not set this header. - `Zuora-Org-Ids` (string) Comma separated IDs. If you have Zuora Multi-Org enabled, you can use this header to specify which orgs to perform the operation in. If you do not have Zuora Multi-Org enabled, you should not set this header. The IDs must be a sub-set of the user's accessible orgs. If you specify an org that the user does not have access to, the operation fails. This header is important in Multi-Org (MO) setups because it defines the organization context under which the API should operate—mainly used for read access or data visibility filtering. If the header is not set, the operation is performed in scope of the user's accessible orgs. - `Zuora-Track-Id` (string) A custom identifier for tracing the API call. If you set a value for this header, Zuora returns the same value in the response headers. This header enables you to associate your system process identifiers with Zuora API calls, to assist with troubleshooting in the event of an issue. The value of this field must use the US-ASCII character set and must not include any of the following characters: colon (:), semicolon (;), double quote ("), and quote ('). - `Zuora-Version` (string) The minor API version. For a list of available minor versions, see API upgrades. ## Query parameters: - `rejectUnknownFields` (boolean) Specifies whether the call fails if the request body contains unknown fields. With rejectUnknownFields set to true, Zuora returns a 400 response if the request body contains unknown fields. The body of the 400 response is: json { "message": "Error - unrecognised fields" } By default, Zuora ignores unknown fields in the request body. ## Request fields (application/json): - `AccountingCode` (string) The Chart of Accounts - `ExemptAmount` (number) The calculated tax amount excluded due to the exemption. Character limit: 16 Values: a decimal value - `InvoiceItemId` (string, required) The ID of the specific invoice item that the taxation information applies to. Character limit: 32 Values: a valid invoice item ID Example: "8ad086fa92d66ffe0192dc7e5dd65161" - `Jurisdiction` (string, required) The jurisdiction that applies the tax or VAT. This value is typically a state, province, county, or city. Character limit: 32 Values: a string of 32 characterrs or fewer Example: "CALIFORNIA" - `LocationCode` (string) The identifier for the location based on the value of the TaxCode field. Character limit: 32 Values: automatically generated - `Name` (string, required) The name of the tax rate, such as sales tax or GST. This name is displayed on invoices. Character limit: 128 Values: a string of 128 characters or fewer Example: "CA TAX" - `TaxAmount` (number, required) The amount of the tax applied to the charge. Character limit: 16 Values: a decimal value Example: 3 - `TaxCode` (string) The tax code identifies which tax rules and tax rates to apply to a specific charge. Character limit: 32 Values: a string of 32 characters or fewer - `TaxCodeDescription` (string) The description for the tax code. Character limit: 255 Values: a string of 255 characters or fewer - `TaxDate` (string, required) The date that the tax is applied to the charge, in yyyy-mm-dd format. Character limit: 29 Example: "2024-11-04" - `TaxRate` (number, required) The tax rate applied to the charge. Character limit: 16 Values: a valid decimal value Example: 3 - `TaxRateDescription` (string) The description of the tax rate. Character limit: 255 Values: a string of 255 characters or fewer - `TaxRateType` (string, required) The type of the tax rate applied to the charge. Character limit: 10 Values: Percentage, FlatFee Example: "FlatFee" ## Response 200 fields (application/json): - `Id` (string) - `Success` (boolean) ## Response 400 fields (application/json): - `errors` (array) - `errors.code` (string) Machine-readable error code identifying the failure type. - `errors.message` (string) Human-readable description of the error that provides more context about what went wrong. - `success` (boolean) ## Response 401 fields (application/json): - `message` (string) Error message. If the error message is "Authentication error", ensure that the Authorization request header contains valid authentication credentials, then retry the request. See [Authentication](https://developer.zuora.com/docs/guides/authentication/) for more information. If the error message is "Failed to get user info", retry the request.